> For the complete documentation index, see [llms.txt](https://developers.getgeoflow.com/geoflow-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.getgeoflow.com/geoflow-docs/feature/visibility/reverse-condition-value.md).

# Reverse Condition Value

### How Does It Work?

In JavaScript, the exclamation mark is frequently used to negate a boolean expression.

When appended to a value, Geoflow will reverse the outcome of the evaluated condition. This means that if the original result is true, it will be negated to return false, and vice versa.

### How To Implement

<table><thead><tr><th>Attribute Name</th><th width="268.3333333333333">Attribute Value</th><th>Which Page Element?</th></tr></thead><tbody><tr><td>data-geo-visibility</td><td>conditionName:!conditionValue</td><td>Any Element</td></tr></tbody></table>

The exclamation mark (!) must be placed after the semicolon and before the condition value.

### Examples

<table data-card-size="large" data-view="cards"><thead><tr><th>Attribute Value</th><th>Description</th><th data-hidden>Attribute Name</th></tr></thead><tbody><tr><td><mark style="color:yellow;"><code>countryCode:!AU</code></mark></td><td>The element is visibile to everyone around the globe, except for those in Australia.</td><td>data-geo-visibility</td></tr><tr><td><mark style="color:yellow;"><code>isMobile:true;countryCode:!CA</code></mark></td><td>The element is only visible to mobile visitors or anyone not in Canada.</td><td>data-geo-visibility</td></tr><tr><td><mark style="color:yellow;"><code>language:!fr</code></mark></td><td>The element is visibile to anyone whose primary browser language is not currently set as French.</td><td>data-geo-visibility</td></tr><tr><td><mark style="color:yellow;"><code>deviceType:!Desktop;isEU:true</code></mark></td><td>The element is only visible to visitors in the European Union or anyone not on a desktop computer (e.g. Tablet and Mobile visitors).</td><td></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.getgeoflow.com/geoflow-docs/feature/visibility/reverse-condition-value.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
